<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>View (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="View (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/View.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/View.html" target="_top">Frames</a></li>
<li><a href="View.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.io</div>
<h2 title="Interface View" class="title">Interface View</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io">GraphicIO</a>, <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io">TextIO</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">View</span></pre>
<div class="block">Interface <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>

 This Interface communicates between the Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> and the Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> or <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a>
 to control the output of the game.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>0.3 July 14th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robin Hundt, Kai Kuhlmann</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/View.html#dialog-java.lang.String-">dialog</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Displays information in a Dialog</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/View.html#display-java.lang.String-">display</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Displays information for each Turn</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/View.html#getSave--">getSave</a></span>()</code>
<div class="block">Is Save Button clicked</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/View.html#getSaveGameName--">getSaveGameName</a></span>()</code>
<div class="block">Get the String which the user has chosen for the Filename</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/View.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;string)</code>
<div class="block">Set the Title of the Game</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/View.html#setViewer-towerwarspp.preset.Viewer-">setViewer</a></span>(<a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</code>
<div class="block">Set the Viewer in the IO</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/View.html#visualize--">visualize</a></span>()</code>
<div class="block">Starts the Output of the complete Board</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSave--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSave</h4>
<pre>boolean&nbsp;getSave()</pre>
<div class="block">Is Save Button clicked</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the Save Button is clicked</dd>
</dl>
</li>
</ul>
<a name="getSaveGameName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaveGameName</h4>
<pre>java.lang.String&nbsp;getSaveGameName()
                          throws java.lang.Exception</pre>
<div class="block">Get the String which the user has chosen for the Filename</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Filename</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if Thread is interrupted</dd>
</dl>
</li>
</ul>
<a name="setTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre>void&nbsp;setTitle(java.lang.String&nbsp;string)</pre>
<div class="block">Set the Title of the Game</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - additional Information which should be displayed</dd>
</dl>
</li>
</ul>
<a name="setViewer-towerwarspp.preset.Viewer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setViewer</h4>
<pre>void&nbsp;setViewer(<a href="../../towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a>&nbsp;viewer)</pre>
<div class="block">Set the Viewer in the IO</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>viewer</code> - The Viewer Object which initialize the output</dd>
</dl>
</li>
</ul>
<a name="visualize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visualize</h4>
<pre>void&nbsp;visualize()</pre>
<div class="block">Starts the Output of the complete Board</div>
</li>
</ul>
<a name="display-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>display</h4>
<pre>void&nbsp;display(java.lang.String&nbsp;string)</pre>
<div class="block">Displays information for each Turn</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - information which should be displayed every turn</dd>
</dl>
</li>
</ul>
<a name="dialog-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dialog</h4>
<pre>void&nbsp;dialog(java.lang.String&nbsp;string)</pre>
<div class="block">Displays information in a Dialog</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>string</code> - information which should be displayed on that Dialog.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/View.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/View.html" target="_top">Frames</a></li>
<li><a href="View.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
